package com.insa.app.controller;

import com.insa.app.model.Conversations;
import com.insa.app.model.Message;
import com.insa.app.model.User;
import javafx.collections.ObservableList;

import java.util.UUID;

/** This class maps List of messages to UUID based on the emitter of the message **/
public class ConversationController {

    Conversations conversations = new Conversations();

    void addMessage(Message networkMessage, UUID emitterId) {
        conversations.addMessage(networkMessage, emitterId);
    }

    ObservableList<String> getConversation(User recipient) {
        return conversations.getConversation(recipient);
    }
}

